/*
  Name :temperature.hpp
  Copyright : salva sebastien
  Authors : salva sebastien
  Description: file which contents functions to use a temperature captor
*/

#ifndef _PREMONT_HPP_
#define _PREMONT_HPP_

#include "param.h"
#include "util.h"
#include "other.hpp"
#include "objet.hpp"

class Premont: public Objet
{
private:
  int captor;  
 
  void forceState(short,K8055 &,config &);	//force the state of the captor
  void stopper (K8055&,config&);	//stop the pump
  void start (K8055&,config&);	//start the pump
  
public:
  void setCaptor(short);
  Premont(){init();}
  void init();		//initialize the temperature captor
  void changing (K8055&,config&);
  
};

#endif
