#include "includes/premont.hpp"

void Premont::init()
{
  state=0;
  state_sauv=0;
  captor=0;

}

void Premont::setCaptor(short captor)
{
this->captor=captor;
}


void Premont::forceState(short forcedState,K8055 &k,config &cfg)
{
  if (state!=forcedState)
    {
      state_sauv=state;
      state=forcedState;
      k.change_state(cfg.OUTPREMONT,cfg.OUTPREMONT_CARD,state,"Pompe remontee forcee");
    }
}

void Premont::stopper (K8055&k,config&cfg)
{
  state=0;
  state_sauv=state;
  k.change_state(cfg.OUTPREMONT,cfg.OUTPREMONT_CARD,state,"Pompe remontee");
}

void Premont::start (K8055&k,config&cfg)
{
  state=1;
  state_sauv=state;
  k.change_state(cfg.OUTPREMONT,cfg.OUTPREMONT_CARD,state,"Pompe remontee");
}

void Premont::changing (K8055& k,config & cfg)
{
//if the state is forced 
 if (cfg.forced_premont!=0)
    forceState(cfg.forced_premont-1,k,cfg);
  
  else
  {
//back to normal state    
    if (state!=state_sauv)
    	k.change_state(cfg.OUTPREMONT,cfg.OUTPREMONT_CARD,state,"Pompe remontee");
  
    if (captor==0 && state==0) start (k,cfg);
    if (captor==1 && state==1) stopper(k,cfg);

  }


}

