#include "includes/pump.hpp"


void Pump::init()
{
  state=0;
  state_sauv=0;
  stop=0;
  stop_p=false;
}


short Pump::getStop ()
{
  return stop;
}

bool Pump::getStop_p ()
{
  return stop_p;
}

void Pump::setStop(short stop)
{
  this->stop=stop;
}

void Pump::setStop_p (bool stop_p)
{
  this->stop_p=stop_p;
}

  
void Pump::forceState(short forcedState,K8055 &k,config &cfg)
{

if (state!=forcedState)
    {
      state_sauv=state;
      state=forcedState;
      k.change_state(out,card,state,"Grp Pompe " + nb + " forced");
    }
}

void Pump::bouttonApp ()
{
  time (&t_timer);
  stop_p=true;
}

void Pump::stop10 (K8055 &k,config &cfg)
{
  time (&rawtime);
  double dif = difftime (rawtime,t_timer);
//if timer >10 min
  if( (dif/60) > 10.0) 
    {
      stop_p=false;
    }
  else
//stop the pump if running    
    if (state==1)
	{
	  state=0;
  	  state_sauv=state;
	  k.change_state(out,card,state,"Grp Pompe " + nb + " stopp 10min:");
	}
}

void Pump::changeState (short state ,K8055 &k,config &cfg)
{
  this->state=state;
  state_sauv=state;
  k.change_state(out,card,state,"Grp Pompe " + nb);
}


void Pump::changing(short st,short forced,K8055 &k,config &cfg )
{
  //cout << "etat du groupe de pompe " << endl;
  if (forced!=0)
      forceState (forced-1,k,cfg);
  else
  {
  	if (state!=state_sauv)
    		changeState(state_sauv,k,cfg);
	if (stop==1)
      		bouttonApp();
  	if (stop_p==true)
    		stop10(k,cfg);
  	else if (state!=st)
	{
		changeState (st,k,cfg);}
   }
}
