#include "includes/ventilator.hpp"

void Ventilator::init()
{
  state=0;
  state_sauv=0;	
  
}


void Ventilator::forceState(short forcedState,K8055 &k,config &cfg)
{
  if (state!=forcedState)
    {
      state_sauv=state;
	state=forcedState;
      k.change_state(cfg.OUTVENT,cfg.OUTVENT_CARD,state,"Ventilateur forced");
    }
}


void Ventilator::changeState (short state2,K8055 &k,config &cfg)
{
  state=state2;
  state_sauv=state;
  k.change_state(cfg.OUTVENT,cfg.OUTVENT_CARD,state,"Ventilateur");
}


void Ventilator::changing(double temperature,K8055 &k,config &cfg )
{
double dif=0; 
 if (cfg.forced_ventilator!=0)
	{
    	forceState (cfg.forced_ventilator-1,k,cfg);
	}
 else
	{
	
	if (state != state_sauv)
		changeState(state_sauv,k,cfg);
 	
	if (temperature >= cfg.TMAX && state==0)
    		{
		changeState (1,k,cfg);
 		time (&timer);
		}
	if (temperature < (cfg.TMAX-1) && state==1) 
		{
		time(&rawtime);
		dif = difftime (rawtime,timer);
		if (dif/60 >= 10.0)
			{
			changeState (0,k,cfg);
			}
		}
	}
}
