#ifndef __CPHIDGETGYROSCOPE
#define __CPHIDGETGYROSCOPE



DPHANDLE(Gyroscope)

CHDRSTANDARD(Gyroscope)
CHDRGETSETINDEX(Gyroscope,AngularRateChangeTrigger,PDOUBLE)
CHDRGET(Gyroscope,NumAxis,PINTEGER)
CHDRGETINDEX(Gyroscope,AngularRate,PDOUBLE)

CHDREVENTINDEX(Gyroscope,AngularRateChange,PDOUBLE)

#ifndef EXTERNALPROTO
#define GYRO_MAXAXES 3
struct _CPhidgetGyroscope {
	CPhidget phid;

	int (CCONV *fptrAngularRateChange)(CPhidgetGyroscopeHandle, void *, int, double);           
	void *fptrAngularRateChangeptr;

	double axis[GYRO_MAXAXES];
	double axisChangeTrigger[GYRO_MAXAXES];
	double axisLastTrigger[GYRO_MAXAXES];

	unsigned char outputPacket[8];
	unsigned int outputPacketLen;

} typedef CPhidgetGyroscopeInfo;
#endif


#endif
