#ifndef __CPHIDGETSERVO
#define __CPHIDGETSERVO


DPHANDLE(Servo)

CHDRSTANDARD(Servo)
CHDRGET(Servo,NumMotors,PINTEGER)
CHDRGETSETINDEX(Servo,MotorPosition,PDOUBLE)
CHDREVENTINDEX(Servo,MotorPositionChange,PDOUBLE)


#ifndef EXTERNALPROTO
#define SERVO_MAXSERVOS 4
struct _CPhidgetServo {
	CPhidget phid;

	int (CCONV *fptrMotorPositionChange)(CPhidgetServoHandle, void *, int, double);           
	void *fptrMotorPositionChangeptr;

	double servoPosition[SERVO_MAXSERVOS];
	unsigned short microsecond_pulse[SERVO_MAXSERVOS];
	unsigned short microsecond_Echo[SERVO_MAXSERVOS];
	char	fullStateEcho;

	unsigned char outputPacket[8];
	unsigned int outputPacketLen;

} typedef CPhidgetServoInfo;
#endif


#endif
