<?php

$openwrt=false;
// configuration de la connection  la base de donnes
$dConfig["connection"]=array(
"hostname"=>"localhost",
"username"=>"root",
"userpass"=>"",
"base"=>"/home/aqua/automate/automate.db"
);

// liste des modules  inclure
$dConfig['require']=array('config/objConnect.php', 'config/objVerif.php');

// liste des fichiers javascript  inclure
$dConfig['javascript']=array('javascript/scriptaculous/lib/prototype.js','javascript/scriptaculous/src/scriptaculous.js','javascript/card2.js','javascript/page.js','javascript/controleConfiguration.js','javascript/controlePlageHoraire.js','javascript/controlePH.js','javascript/controleSMS.js','javascript/controleLogin.js');

// configuration des vues de l'aplication
$dConfig['vues']['login']=array('url'=>'vue/v-login.php');
$dConfig['vues']['etat']=array('url'=>'vue/v-etat.php');
$dConfig['vues']['parametrage']=array('url'=>'vue/v-parametrage.php');
$dConfig['vues']['plageHoraire']=array('url'=>'vue/v-plageHoraire.php');
$dConfig['vues']['configuration']=array('url'=>'vue/v-configuration.php');
$dConfig['vues']['sms']=array('url'=>'vue/v-sms.php');
$dConfig['vues']['osmolation']=array('url'=>'vue/v-osmolation.php');
$dConfig['vues']['ph']=array('url'=>'vue/v-ph.php');
$dConfig['vues']['temperature']=array('url'=>'vue/v-temperature.php');
$dConfig['vues']['information']=array('url'=>'vue/v-information.php');
$dConfig['vues']['log']=array('url'=>'vue/v-log.php');
$dConfig['vues']['erreur']=array('url'=>'vue/v-erreur.php');
$dConfig['vues']['startStop']=array('url'=>'vue/v-startStop.php');
$dConfig['vues']['menu']=array('url'=>'vue/v-menu.php');

// configuration de la disposition du site
$dConfig['pattern']['url']='vue/m-pattern1.php';
$dConfig['patternLogin']['url']='vue/m-patternLogin.php';

// configuration des css
$dConfig['css']['url']='css/style1.css';

// liste des actions possibles
$dConfig['listeActions']=array("etat","parametrage","osmolation","ph","temperature","information","startStop");

// configuration des actions de l'application
$dConfig['actions']['login']=array('url'=>'modele/a-login.php');
$dConfig['actions']['etat']=array('url'=>'modele/a-etat.php');
$dConfig['actions']['parametrage']=array('url'=>'modele/a-parametrage.php');
$dConfig['actions']['configuration']=array('url'=>'modele/a-configuration.php');
$dConfig['actions']['plageHoraire']=array('url'=>'modele/a-plageHoraire.php');
$dConfig['actions']['sms']=array('url'=>'modele/a-sms.php');
$dConfig['actions']['osmolation']=array('url'=>'modele/a-osmolation.php');
$dConfig['actions']['ph']=array('url'=>'modele/a-ph.php');
$dConfig['actions']['temperature']=array('url'=>'modele/a-temperature.php');
$dConfig['actions']['information']=array('url'=>'modele/a-information.php');
$dConfig['actions']['log']=array('url'=>'modele/a-log.php');
$dConfig['actions']['erreur']=array('url'=>'modele/a-erreur.php');
$dConfig['actions']['startStop']=array('url'=>'modele/a-startStop.php');

// configuration des graphiques du site
$dConfig['graphiques']['osmolation']=array('url'=>'modele/g-osmolation.php');
$dConfig['graphiques']['ph']=array('url'=>'modele/g-ph.php');
$dConfig['graphiques']['temperature']=array('url'=>'modele/g-temperature.php');
$dConfig['graphiques']['tempph']=array('url'=>'modele/g-tempph.php');



?>
