/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 #ifndef _PRESTATAIRE_H_
 #define _PRESTATAIRE_H_
 
#include <string>
#include <stdio.h>
#include <stdlib.h>




using namespace std;

class PersistPrest;
	
class Prestataire
{
	
	private :
		string hote;
		string scriptEnvoi;
		string nom;
		string login;
		string pass;
		PersistPrest *persPrest;
	
	public :
		/* Constructeurs */
		Prestataire();
	
		/* Gettters et Setters */
		void setHote(string);
		string getHote(void);
	
		void setScript(string);
		string getScript(void);
	
		string getLogin(void);
		void setLogin(string);
	
		string getPass(void);
		void setPass(string);
	
		string getNom(void);
		void setNom(string);
	
		/* Méthodes de la classe */
		short recupererInfo(void);     //recuperer les info prestataire ds la base 
		void sendSMS(string message); //envoyer un SMS
	
		~Prestataire();
};

#endif
