/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include "includes/persistPrest.h"
#include "includes/controlBDD.h"

PersistPrest::PersistPrest() {
	ctrl = ControlBDD::getInstance();
}

PersistPrest::~PersistPrest() {
	delete(elts);
}

/*Recuperation ds la base*/
short PersistPrest::read() {

	ctrl->connexionDb();
		elts = ctrl->selectInDb(QUERYPREST);  //Requete SELECT
	
ctrl->closeConnexionDb();
if ((*elts).size() < 5) return 1; else return 0;
}

string PersistPrest::getHote() {
	return (*elts)[2];
}

string PersistPrest::getScript() {
	return (*elts)[3];
}

string PersistPrest::getLogin() {
	return (*elts)[4];
}

string PersistPrest::getPass() {
	return (*elts)[5];
}

string PersistPrest::getNom() {
	return (*elts)[1];
}
