#include "stdafx.h"
#include "phidget_jni.h"
#include "com_phidgets_ServoPhidget.h"
#include "../cphidgetservo.h"

EVENT_VARS(servoPositionChange, ServoPositionChange)

JNI_LOAD(servo, Servo)
	EVENT_VAR_SETUP(servo, servoPositionChange, ServoPositionChange, ID, V)
}

EVENT_HANDLER_INDEXED(Servo, servoPositionChange, ServoPositionChange, 
					  CPhidgetServo_set_OnMotorPositionChange_Handler, double)

JNI_CREATE(Servo)
JNI_INDEXED_GETFUNC(Servo, Position, MotorPosition, jdouble)
JNI_INDEXED_SETFUNC(Servo, Position, MotorPosition, jdouble)
JNI_GETFUNC(Servo, MotorCount, NumMotors, jint)
