#ifndef __CPHIDGETWEIGHTSENSOR
#define __CPHIDGETWEIGHTSENSOR

DPHANDLE(WeightSensor)

CHDRSTANDARD(WeightSensor)
CHDRGET(WeightSensor,Weight,PDOUBLE)
CHDRGETSET(WeightSensor,WeightChangeTrigger,PDOUBLE)
CHDREVENT(WeightSensor,WeightChange,PDOUBLE)

#ifndef EXTERNALPROTO
struct _CPhidgetWeightSensor {
	CPhidget phid;

	int (CCONV *fptrWeightChange)(CPhidgetWeightSensorHandle, void *, double);           

	void *fptrWeightChangeptr;

	double Weight;
	double lastweight;
	double WeightChangeTrigger;

	unsigned char outputPacket[8];
	unsigned int outputPacketLen;

} typedef CPhidgetWeightSensorInfo;
#endif


#endif
